Get all payrolls for a company

Returns a list of payrolls for a company. You can change the payrolls returned by updating the processing_status, payroll_types, start_date, & end_date params.

By default, will return processed, regular payrolls for the past 6 months.

Notes:

  • Dollar amounts are returned as string representations of numeric decimals, are represented to the cent.
  • end_date can be at most 3 months in the future and start_date and end_date can't be more than 1 year apart.

scope: payrolls:read

Path Params
string
required

The UUID of the company

Query Params
processing_statuses
array of strings

Whether to include processed and/or unprocessed payrolls in the response, defaults to processed, for multiple attributes comma separate the values, i.e. ?processing_statuses=processed,unprocessed

processing_statuses
payroll_types
array of strings

Whether to include regular and/or off_cycle payrolls in the response, defaults to regular, for multiple attributes comma separate the values, i.e. ?payroll_types=regular,off_cycle

payroll_types
boolean

Whether to return processed or unprocessed payrolls

boolean

Whether to include off cycle payrolls in the response

include
array of strings

Include the requested attribute in the response. The risk_blockers option will include submission_blockers and credit_blockers if applicable. The reversals option will include reversal payroll UUIDs if applicable. In v2023-04-01 totals are no longer included by default. For multiple attributes comma separate the values, i.e. ?include=totals,payroll_status_meta.

include
string

Return payrolls whose pay period is after the start date

string

Return payrolls whose pay period is before the end date. If left empty, defaults to today's date.

string
enum

Specifies which date field to use when filtering payrolls with start_date and end_date. This field applies only to regular processed payrolls and defaults to pay period if not provided.

Allowed:
integer

The page that is requested. When unspecified, will load all objects unless endpoint forces pagination.

integer

Number of objects per page. For majority of endpoints will default to 25

string
enum

A string indicating whether to sort resulting events in ascending (asc) or descending (desc) chronological order. Events are sorted by their timestamp. Defaults to asc if left empty.

Allowed:
Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json